#include "kimeraapp.h"
#include "mainform.h"
#include <qtextcodec.h>
#include <qapplication.h>

int main(int argc, char* argv[])
{
  KimeraApp app(argc, argv);

  QTextCodec*  codec = QTextCodec::codecForName("eucJP");  
  Q_CHECK_PTR( codec );
  qDebug("codec: %s", codec->name());    
  app.setDefaultCodec(codec); 

  MainForm* mainwidget = new MainForm();
  app.setMainWidget(mainwidget);
  mainwidget->show();
  app.init();
  return app.exec();
}
