#include "mainform.h"
#include <qvariant.h>
#include <qtoolbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>


MainForm::MainForm( QWidget* parent, const char* name, WFlags fl )
  : QWidget(parent, name, fl)
{
  if ( !name ) setName( "MainForm" );
  resize(90, 30); 
  setCaption( trUtf8( "MainForm" ) );
  
  _toolbutton1 = new QToolButton( this, "ToolButton1" );
  _toolbutton1->setGeometry( QRect( 0, 0, 31, 31 ) ); 
  _toolbutton1->setText(QString("A_" ));
  
  _toolbutton2 = new QToolButton( this, "ToolButton2" );
  _toolbutton2->setGeometry( QRect( 30, 0, 31, 31 ) ); 
  _toolbutton2->setText( trUtf8( "..." ) );
  
  _toolbutton3 = new QToolButton( this, "ToolButton3" );
  _toolbutton3->setGeometry( QRect( 60, 0, 31, 31 ) ); 
  _toolbutton3->setText( trUtf8( "..." ) );
}


MainForm::~MainForm()
{
    // no need to delete child widgets, Qt does it all for us
}


void
MainForm::slotTriggerNotify(bool b)
{
  static bool tiggerflag = FALSE;
  
  if (tiggerflag != b) {
    tiggerflag = b;
    
    if ( tiggerflag ) {
      //_toolbutton1->setText(trUtf8("AA"));
      _toolbutton1->setText(tr(""));
    } else { 
      _toolbutton1->setText(QString("A_"));
    }
  }
}




